Skip to main content
GET
/
api
/
v1
/
top-brands
Top Visible Brands
curl --request GET \
  --url https://api.shareofsearch.jplus.io/api/v1/top-brands \
  --header 'Authorization: Bearer <token>'
{
  "total_count": 123,
  "data": [
    {
      "brand": "<string>",
      "nb_keywords": 123,
      "total_mentions": 123,
      "visibility_score": 123,
      "average_rank": 123,
      "presence_rate": 123,
      "total": 123,
      "occurrences": 123,
      "is_my_brand": true,
      "competitor_type": "UNKNOWN",
      "nb_keywords_prev_collect": 123,
      "total_mentions_prev_collect": 123,
      "average_rank_prev_collect": 123,
      "presence_rate_prev_collect": 123,
      "total_prev_collect": 123,
      "occurrences_prev_collect": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

collect_id
string | null
collect_ids
string[] | null
sources
enum<string>[]
Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus
thematics
string[] | null
keyword_type
string[] | null
prev_collect_ids
string[] | null
persona_ids
string[] | null
topic_ids
string[] | null
funnel_stages
enum<string>[] | null
Available options:
ToFu,
MoFu,
BoFu
strength_ids
string[] | null
weakness_ids
string[] | null
related_product_ids
string[] | null
sub_brand_ids
string[] | null
perception_type
enum<string> | null
Available options:
neutral
competitor_types
enum<string>[] | null
Available options:
BRANDED_WEBSITE,
COMMUNITY_HELP_CENTER,
COMPARISON_SITE,
GOVERNMENT_ACADEMIC,
INFLUENCER_CREATOR_BLOG,
NEWS_MEDIA,
PRODUCT_REVIEW_SITE,
QA_FORUM,
RETAIL_ECOMMERCE,
SPECIALIST_BLOG,
WIKI_ENCYCLOPEDIA,
UNKNOWN
page_number
integer | null
rows_per_page
integer | null
search_query
string | null
sort_column
enum<string> | null
Available options:
brand,
visibility_score,
nb_mentions,
nb_distinct_keywords,
average_position,
presence_rate
sort_direction
enum<string> | null
Available options:
asc,
desc
project_id
string
required

Project Id

client_id
string
required

Client id

brands
string[]

Brands

Response

Successful Response

total_count
integer
required
data
TopBrandInfoResponse · object[]
required